TensorFlow 2.5.0-fosscuda-2020b

There is a newer install of TensorFlow

An open-source software library for Machine Intelligence

Accessing TensorFlow 2.5.0-fosscuda-2020b

To load the module for TensorFlow 2.5.0-fosscuda-2020b please use this command on Baskerville:

module load bask-apps/live
module load TensorFlow/2.5.0-fosscuda-2020b

Bask Apps Env

live

Extensions

  • absl-py-0.12.0
  • astor 0.8.1
  • astunparse 1.6.3
  • cachetools 4.2.2
  • dill 0.3.3
  • gast 0.4.0
  • google-auth-1.30.0
  • google-auth-oauthlib-0.4.4
  • google-pasta-0.2.0
  • grpcio 1.34.1
  • gviz-api-1.9.0
  • keras_nightly 2.5.0.dev2021032900
  • Keras_Preprocessing 1.1.2
  • Markdown 3.3.4
  • oauthlib 3.1.0
  • opt_einsum 3.3.0
  • portpicker 1.3.1
  • pyasn1-modules-0.2.8
  • requests-oauthlib-1.3.0
  • rsa 4.7.2
  • tblib 1.7.0
  • tensorboard 2.5.0
  • tensorboard_data_server 0.6.1
  • tensorboard_plugin_profile 2.4.0
  • tensorboard_plugin_wit 1.8.0
  • TensorFlow 2.5.0
  • tensorflow_estimator 2.5.0
  • termcolor 1.1.0
  • Werkzeug 2.0.0
  • wrapt 1.12.1

More Information

For more information visit the TensorFlow website.

Dependencies

This version of TensorFlow has a direct dependency on: cuDNN/8.0.4.30-CUDA-11.1.1 cURL/7.72.0-GCCcore-10.2.0 double-conversion/3.1.5-GCCcore-10.2.0 flatbuffers/1.12.0-GCCcore-10.2.0 flatbuffers-python/1.12-GCCcore-10.2.0 fosscuda/2020b giflib/5.2.1-GCCcore-10.2.0 h5py/3.1.0-fosscuda-2020b hwloc/2.2.0-GCCcore-10.2.0 ICU/67.1-GCCcore-10.2.0 JsonCpp/1.9.4-GCCcore-10.2.0 libjpeg-turbo/2.0.5-GCCcore-10.2.0 libpng/1.6.37-GCCcore-10.2.0 LMDB/0.9.24-GCCcore-10.2.0 NASM/2.15.05-GCCcore-10.2.0 NCCL/2.8.3-GCCcore-10.2.0-CUDA-11.1.1 nsync/1.24.0-GCCcore-10.2.0 PCRE/8.44-GCCcore-10.2.0 protobuf-python/3.14.0-GCCcore-10.2.0 Python/3.8.6-GCCcore-10.2.0 snappy/1.1.8-GCCcore-10.2.0 SQLite/3.33.0-GCCcore-10.2.0 typing-extensions/3.7.4.3-GCCcore-10.2.0 zlib/1.2.11-GCCcore-10.2.0

Required By

This version of TensorFlow is a direct dependent of: Horovod/0.22.1-fosscuda-2020b-TensorFlow-2.5.0 Keras/2.4.3-fosscuda-2020b-TensorFlow-2.5.0 scikeras/0.4.1-fosscuda-2020b tensorflow-probability/0.13.0-fosscuda-2020b

Other Versions

These versions of TensorFlow are available on Baskerville. These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 10th July 2021